Globals (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts
Class Globals

    java.lang.Object
      org.apache.struts.Globals

All Implemented Interfaces:
  Serializable

    public class Globals

extends Object
implements Serializable

Global manifest constants for the entire Struts Framework.

Version:
  $Rev: 471754 $ $Date: 2005-06-18 20:27:26 -0400 (Sat, 18 Jun 2005) $
See Also:
  Serialized Form

Field Summary
`static String` | `ACTION_SERVLET_KEY` The context attributes key under which our `ActionServlet` instance will be stored.
`static String` | `CANCEL_KEY` The request attributes key under which a boolean `true` value should be stored if this request was cancelled.
`static String` | `CANCEL_PROPERTY` The property under which a Cancel button press is reported.
`static String` | `CANCEL_PROPERTY_X` The property under which a Cancel button press is reported, if the Cancel button is rendered as an image.
`static String` | `ERROR_KEY` The request attributes key under which your action should store an `org.apache.struts.action.ActionErrors` object, if you are using the corresponding custom tag library elements.
`static String` | `EXCEPTION_KEY` The request attributes key under which Struts custom tags might store a `Throwable` that caused them to report a JspException at runtime.
`static String` | `LOCALE_KEY` The session attributes key under which the user's selected `java.util.Locale` is stored, if any.
`static String` | `MAPPING_KEY` The request attributes key under which our `org.apache.struts.ActionMapping` instance is passed.
`static String` | `MESSAGE_KEY` The request attributes key under which your action should store an `org.apache.struts.action.ActionMessages` object, if you are using the corresponding custom tag library elements.
`static String` | `MESSAGES_KEY` The base of the context attributes key under which our module `MessageResources` will be stored.
`static String` | `MODULE_KEY` The base of the context attributes key under which our `ModuleConfig` data structure will be stored.
`static String` | `MODULE_PREFIXES_KEY` The ServletContext attribute under which we store the module prefixes String[].
`static String` | `MULTIPART_KEY` The request attributes key under which our multipart class is stored.
`static String` | `ORIGINAL_URI_KEY` The request attribute under which we store the original URI of the request.
`static String` | `PLUG_INS_KEY` The base of the context attributes key under which an array of `PlugIn` instances will be stored.
`static String` | `REQUEST_PROCESSOR_KEY` The base of the context attributes key under which our `RequestProcessor` instance will be stored.
`static String` | `SERVLET_KEY` The context attributes key under which we store the mapping defined for our controller serlet, which will be either a path-mapped pattern (`/action/*`) or an extension mapped pattern (`*.do`).
`static String` | `TAGLIB_PACKAGE` The name of the taglib package.
`static String` | `TOKEN_KEY` The property under which a transaction token is reported.
`static String` | `TRANSACTION_TOKEN_KEY` The session attributes key under which our transaction token is stored, if it is used.
`static String` | `XHTML_KEY` The page attributes key under which xhtml status is stored.

Constructor Summary
`Globals()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_SERVLET_KEY

    public static final String ACTION_SERVLET_KEY

  The context attributes key under which our `ActionServlet` instance will be stored.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### CANCEL_KEY

    public static final String CANCEL_KEY

  The request attributes key under which a boolean `true` value should be stored if this request was cancelled.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### MODULE_KEY

    public static final String MODULE_KEY

  The base of the context attributes key under which our `ModuleConfig` data structure will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual attributes key.

  For each request processed by the controller servlet, the `ModuleConfig` object for the module selected by the request URI currently being processed will also be exposed under this key as a request attribute.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### MODULE_PREFIXES_KEY

    public static final String MODULE_PREFIXES_KEY

  The ServletContext attribute under which we store the module prefixes String[].

  Since:
    Struts 1.2
  See Also:
    Constant Field Values

### ORIGINAL_URI_KEY

    public static final String ORIGINAL_URI_KEY

  The request attribute under which we store the original URI of the request.

  Since:
    Struts 1.3
  See Also:
    Constant Field Values

### ERROR_KEY

    public static final String ERROR_KEY

  The request attributes key under which your action should store an `org.apache.struts.action.ActionErrors` object, if you are using the corresponding custom tag library elements.

  See Also:
    Constant Field Values

### EXCEPTION_KEY

    public static final String EXCEPTION_KEY

  The request attributes key under which Struts custom tags might store a `Throwable` that caused them to report a JspException at runtime. This value can be used on an error page to provide more detailed information about what really went wrong.

  See Also:
    Constant Field Values

### LOCALE_KEY

    public static final String LOCALE_KEY

  The session attributes key under which the user's selected `java.util.Locale` is stored, if any. If no such attribute is found, the system default locale will be used when retrieving internationalized messages. If used, this attribute is typically set during user login processing.

  See Also:
    Constant Field Values

### MAPPING_KEY

    public static final String MAPPING_KEY

  The request attributes key under which our `org.apache.struts.ActionMapping` instance is passed.

  See Also:
    Constant Field Values

### MESSAGE_KEY

    public static final String MESSAGE_KEY

  The request attributes key under which your action should store an `org.apache.struts.action.ActionMessages` object, if you are using the corresponding custom tag library elements.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### MESSAGES_KEY

    public static final String MESSAGES_KEY

  The base of the context attributes key under which our module `MessageResources` will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual resources key.

  For each request processed by the controller servlet, the `MessageResources` object for the module selected by the request URI currently being processed will also be exposed under this key as a request attribute.

  See Also:
    Constant Field Values

### MULTIPART_KEY

    public static final String MULTIPART_KEY

  The request attributes key under which our multipart class is stored.

  See Also:
    Constant Field Values

### PLUG_INS_KEY

    public static final String PLUG_INS_KEY

  The base of the context attributes key under which an array of `PlugIn` instances will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual attributes key.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### REQUEST_PROCESSOR_KEY

    public static final String REQUEST_PROCESSOR_KEY

  The base of the context attributes key under which our `RequestProcessor` instance will be stored. This will be suffixed with the actual module prefix (including the leading "/" character) to form the actual attributes key.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### SERVLET_KEY

    public static final String SERVLET_KEY

  The context attributes key under which we store the mapping defined for our controller serlet, which will be either a path-mapped pattern (`/action/*`) or an extension mapped pattern (`*.do`).

  See Also:
    Constant Field Values

### TRANSACTION_TOKEN_KEY

    public static final String TRANSACTION_TOKEN_KEY

  The session attributes key under which our transaction token is stored, if it is used.

  See Also:
    Constant Field Values

### XHTML_KEY

    public static final String XHTML_KEY

  The page attributes key under which xhtml status is stored. This may be "true" or "false". When set to true, the html tags output xhtml.

  Since:
    Struts 1.1
  See Also:
    Constant Field Values

### TAGLIB_PACKAGE

    public static final String TAGLIB_PACKAGE

  The name of the taglib package.

  See Also:
    Constant Field Values

### CANCEL_PROPERTY

    public static final String CANCEL_PROPERTY

  The property under which a Cancel button press is reported.

  See Also:
    Constant Field Values

### CANCEL_PROPERTY_X

    public static final String CANCEL_PROPERTY_X

  The property under which a Cancel button press is reported, if the Cancel button is rendered as an image.

  See Also:
    Constant Field Values

### TOKEN_KEY

    public static final String TOKEN_KEY

  The property under which a transaction token is reported.

  See Also:
    Constant Field Values

Constructor Detail

### Globals

    public Globals()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.